[PHP] 从 PHP 5.3.X 迁移到 PHP 5.6.X不兼容点

2018-01-23 18:59:55来源:cnblogs.com作者:陶士涵人点击

分享

从 PHP 5.3.X 迁移到 PHP 5.4.X不兼容点:

1.不再支持 安全模式

2.移除 魔术引号,设置 magic_quotes_gpc 系列将不会生效

3.Salsa10 和 Salsa20 哈希算法 被移除。使用各种哈希算法直接或增量处理任意长度的信息。

4.在 日期与时间扩展 中,不再支持时区使用 TZ(TimeZone)环境变量设置,必须使用 date.timezone php.ini 配置选项或 date_default_timezone_set() 函数来指定时区

5.调用时的引用传递 被移除。将一个变量通过引用传递给函数,定义时参数加&引用符,调用函数的时候参数不需要加&

从 PHP 5.4.x 迁移到 PHP 5.5.x不兼容:

1.不再支持 Windows XP 和 2003

2.pack() 和 unpack() 函数的变化,数据转成二进制,更兼容 Perl 做了一些变更

3.移除 PHP logo GUIDs,php_logo_guid — 获取 logo 的 guid

从PHP 5.5.x 移植到 PHP 5.6.x不兼容

1.使用数组标识符为类定义数组类型的属性时,数组的键不会被覆盖,显式数组键和隐式数组键相同将不会覆盖.

2.严格的 json_decode(), JSON 字面量 true,false 和 null,采用小写格式

3.当使用 SSL/TLS 的时候,流封装器默认验证端点证书和主机名,直接调用ssl://或者tls://协议的时候

4.GMP 资源现为对象 ,数学扩展库

5.Mcrypt 函数需要有效长度的密钥和初始向量,mcrypt库是加密扩展

6.cURL 文件上传

必须先设置 CURLOPT_SAFE_UPLOAD 为 FALSE 才能够使用 @file 语法来上传文件

微信扫一扫

第七城市微信公众平台